# $Revision: 1.11 $, $Date: 2004/01/25 01:23:14 $
Summary:	ISO-2022-JP, EUC-JP and Shift-JIS encoding support for xpdf
Summary(pl):	Wsparcie kodowania ISO-2022-JP, EUC-JP i Shift-JIS dla xpdf
Name:		xpdf-japanese
Version:	1.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}.tar.gz
# Source0-md5:	2fe6d4701482af0d69084c574fe14d90
URL:		http://www.foolabs.com/xpdf/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Japanese PDF files.

%description -l pl
Pakiety wspierajce jzyki Xpdf zawieraj pliki CMap, kodowania oraz
rne inne informacje konfiguracyjne niezbdne bd przydatne przy
okrelonych zestawach znakw. (Nie zawieraj adnych fontw).
Ten pakiet zawiera pliki potrzebne do uywania narzdzi Xpdf z
japoskimi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-japanese

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf
install *.cidToUnicode $RPM_BUILD_ROOT%{_datadir}/xpdf
install CMap/* $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-japanese

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	ISO-2022-JP	/usr/share/xpdf/ISO-2022-JP.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	EUC-JP		/usr/share/xpdf/EUC-JP.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	Shift-JIS	/usr/share/xpdf/Shift-JIS.unicodeMap' >> /etc/xpdfrc
	echo 'cidToUnicode	Adobe-Japan1	/usr/share/xpdf/Adobe-Japan1.cidToUnicode' >> /etc/xpdfrc
	echo 'cMapDir		Adobe-Japan1	/usr/share/xpdf/CMap-japanese' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-japanese' >> /etc/xpdfrc
	echo 'displayCIDFontX	Adobe-Japan1	"-*-fixed-medium-r-normal-*-%s-*-*-*-*-*-jisx0208.1983-0" ISO-2022-JP' >> /etc/xpdfrc
else
 if ! grep -q 'ISO-2022-JP\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	ISO-2022-JP	/usr/share/xpdf/ISO-2022-JP.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'EUC-JP\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	EUC-JP		/usr/share/xpdf/EUC-JP.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Shift-JIS\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	Shift-JIS	/usr/share/xpdf/Shift-JIS.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Adobe-Japan1\.cidToUnicode' /etc/xpdfrc; then
	echo 'cidToUnicode	Adobe-Japan1	/usr/share/xpdf/Adobe-Japan1.cidToUnicode' >> /etc/xpdfrc
 fi
 if ! grep -q 'CMap-japanese' /etc/xpdfrc; then
	echo 'cMapDir		Adobe-Japan1	/usr/share/xpdf/CMap-japanese' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-japanese' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-\*-fixed-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-jisx0208\.1983-0' /etc/xpdfrc; then
	echo 'displayCIDFontX	Adobe-Japan1	"-*-fixed-medium-r-normal-*-%s-*-*-*-*-*-jisx0208.1983-0" ISO-2022-JP' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'ISO-2022-JP\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'EUC-JP\.unicodeMap' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'Shift-JIS\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Adobe-Japan1\.cidToUnicode' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'CMap-japanese' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v -e '-\*-fixed-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-jisx0208\.1983-0' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf-japanese.spec,v $
Revision 1.11  2004/01/25 01:23:14  gotar
- updated

Revision 1.10  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/07/31 08:38:08  gotar
- fixed %preun scripts,
- release++.

Revision 1.8  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/04 14:53:05  qrczak
- Use -e before grep patterns starting with '-'.

Revision 1.5  2003/03/15 22:31:46  gotar
- BuildArch: noarch,
- release++.

Revision 1.4  2003/02/11 20:08:24  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.3  2003/01/19 00:04:19  gotar
- fixed %post and %preun scripts

Revision 1.2  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.1  2002/09/09 12:38:46  gotar
- initial PLD release, STBR.
